Package io.flutter.view

## Interface TextureRegistry

- All Known Implementing Classes:
    `FlutterRenderer`, `FlutterView`

      public interface TextureRegistry

  Registry of backend textures used with a single `FlutterView` instance. Entries may be embedded into the Flutter view using the Texture widget.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `TextureRegistry.ImageTextureEntry` |
    `static interface` | `TextureRegistry.OnFrameConsumedListener` | Listener invoked when the most recent image has been consumed.
    `static interface` | `TextureRegistry.OnTrimMemoryListener` | Listener invoked when a memory pressure warning was forward.
    `static interface` | `TextureRegistry.SurfaceTextureEntry` | A registry entry for a managed SurfaceTexture.
    `static interface` | `TextureRegistry.TextureEntry` | An entry in the texture registry.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TextureRegistry.ImageTextureEntry` | `createImageTexture()` | Creates and registers a texture managed by the Flutter engine.
    `TextureRegistry.SurfaceTextureEntry` | `createSurfaceTexture()` | Creates and registers a SurfaceTexture managed by the Flutter engine.
    `default void` | `onTrimMemory​(int level)` | Callback invoked when memory is low.
    `TextureRegistry.SurfaceTextureEntry` | `registerSurfaceTexture​(SurfaceTexture surfaceTexture)` | Registers a SurfaceTexture managed by the Flutter engine.

- - ### Method Detail

    - #### createSurfaceTexture

          @NonNull
          TextureRegistry.SurfaceTextureEntry createSurfaceTexture()

      Creates and registers a SurfaceTexture managed by the Flutter engine.
      Returns:
        A SurfaceTextureEntry.

    - #### registerSurfaceTexture

          @NonNull
          TextureRegistry.SurfaceTextureEntry registerSurfaceTexture​(@NonNull
                                                                     SurfaceTexture surfaceTexture)

      Registers a SurfaceTexture managed by the Flutter engine.
      Returns:
        A SurfaceTextureEntry.

    - #### createImageTexture

          @NonNull
          TextureRegistry.ImageTextureEntry createImageTexture()

      Creates and registers a texture managed by the Flutter engine.
      Returns:
        a ImageTextureEntry.

    - #### onTrimMemory

          default void onTrimMemory​(int level)

      Callback invoked when memory is low.

      Invoke this from `Activity.onTrimMemory(int)`.